*{
    margin: 0 auto;
    padding:0px;
    box-sizing: border-box;

}
html,
body {
  scroll-behavior: smooth;
  font-family: "Seconda Soft W00 Demi";
}
@font-face {
  font-family: 'Seconda Soft W00 Demi';
  src: url('a.ttf') format('truetype');
}
#container{
  height: 3680px;
  background-color: rgb(240, 240, 240);
  width: 100%;
  overflow: hidden;
  position:relative; 
  display: block; 
  float: left;
  transition: 1s ease;
}
#header{
  width: 100%;
  height: 120px;
  display: flex;
  position: fixed;
  transition: background-color 1s ease-in-out;
  float: left;
  background: #000000;
  z-index: 10000;
}
#sl-lev{
    height: 100%;
    width: 30%;
    /* background-color: rgb(29, 32, 151); */
    display: flex;
    justify-content: center;
    align-items: center;
  }
#logo{
    height: 120px;
    width: 150px;
}
.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 70%;
    height: 100%;
    /* background-color: blue; */
  }
  .hamburger {
    display: none;
  }
  .bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: #ffffff;
  }
.nav-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 50px;
    width: 600px;
    /* background-color: red; */
  }
.sl-nav{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 200px;
  gap: 0px;
}
.iko-nav{
  width: 30px;
  height: 30px;
}
.iko-nav:hover{
  filter: brightness(0.5);
}
#ik-jez{
  width: 45px;
  height: 45px;
}
#ik-jez:hover{
  filter: brightness(0.5);
}
#sl-mea{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 120px;
}
.sla{
  width: 30px;
  height: 30px;
  display: none;
}
.nav-itemi {
  display: block;
  width: 100px;
  transition-duration: .25s;
  flex-direction: row;
}
.nav-itemi-en{
  display: block;
  width: 120px;
  transition-duration: .25s;
  flex-direction: row;
}
.nav-link{
    position: relative;
    font-size: 27px;
    font-weight: 100;
    color: #ffffff;
    font-family: "Seconda Soft W00 Demi";
    text-decoration: none;
    list-style:none;
}
.nav-link:hover{
    color: #686767;
}
#prj{
    width: 100%;
    height: 3px;
    top: 42px;
    position: absolute;
    background-color: #d12121;
    display: flex;
}

.nav-link::after{
    content: '';
    position: absolute;
    left: 0px;
    bottom: -13px;
    height: 3px;
    width: 0px;
    border-radius: 2px;
    background-color: #ffffff;
    transition: 0.4s ease;
}
.nav-link:hover::after{
    width: 100%;
}
#pri{
  width: 100%;
  height: 3px;
  top: 42px;
  left: 0px;
  position: absolute;
  background-color: #ffffff;
  display: flex;
}


/* pocetna */


#pocetna{
  width: 100%;
  position: relative;
  height: 930px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: #000000;
  float: left;
}
#pctn-sl{
  width: 100%;
  height: 100%;
  opacity: 55%;
  object-fit: cover;
}
#nas1{
  position: absolute;
  color: white;
  z-index: 20;
  font-size: 160px;
  font-family: "Seconda Soft W00 Demi";
  justify-content: center;
  align-items: center;
  text-align: center;
}

/* KRAJ POCETNE */

/* Meni */

#medju{
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: row;
  width: 100%;
  background-color: #232931;
  height: 1000px;
}
#sre{
    height: 800px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 70%;
    background-color: #2c333d;
    flex-wrap: wrap;
    position: relative;
    border: 3px solid white;
}
#dagme{
  /* background-color: rgb(206, 192, 192); */
  z-index: 800;
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: relative;
}
.rodi{
  width: 200px;
  height: 250px;
  /* background-color: #232f9e; */
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}
.slik{
  height: 60%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}
.nas{
  height: 40%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  /* background-color: red; */
}
.tek-rod{
  color: white;
  text-align: center;
  font-family: "Seconda Soft W00 Demi";
  display: flex;
  flex-wrap: wrap;
  font-size: 27px;
}
.tek-rod:hover{
  color: rgb(175, 172, 172);
  transition:0.2s;
  cursor: pointer;
}
.dugmenci{
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  height: 130px;
  width: 130px;
  background-color: #262626;
}
.dugmenci:hover{
  background-color: #3f3f3f;
  cursor: pointer;
}
.kafa-ikon{
  height: 80px;
  width: 80px;
}
*, *::after, *::before {
  box-sizing: border-box;
}

.modal {
  position: fixed;
  top: 56%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  transition: 200ms ease-in-out;
  border: 1px solid black;
  border-radius: 10px;
  background-color: white;
  width: 500px;
  height: 700px;
}
.modal.active {
  transform: translate(-50%, -50%) scale(1);
}
.modal1.active {
  transform: translate(-50%, -50%) scale(1);
}
.close-button {
  cursor: pointer;
  color: black;
  background-color: rgb(255, 255, 255);
  border: 0px;
  outline: none;
  font-size: 30px;
  font-weight: bold;
  width: 35px;
  height: 35px;
  top: 0;
  right: 0;
  margin-right: 20px;
  margin-top: 10px;
  position: absolute;
}
#overlay {
  position: fixed;
  opacity: 0;
  transition: 200ms ease-in-out;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, .5);
  pointer-events: none;

}

#overlay.active {
  opacity: 0;
  pointer-events: all;

}
.sl-modal{
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}












/* slider */

#slaj{
  justify-content: center;
  align-items: center;
  display: flex;
  width: 100%;
  background: #232931;
  height: 950px;
}

/* SLIDER */

.line, .carousel li img, .carousel li, .carousel {
  width: 100%;
  height: 100%;
}

.flex, .carousel-wrapper, .center, .carousel ul {
  display: flex;
}

.center, .carousel ul {
  align-items: center;
  justify-content: center;
  width: 910px;
  height: 600px;
  filter: blur(0px);
  /* filter: brightness(40%); */
  box-shadow:  7px 7px 14px #000000;
}
#slc{
  width: 100%;
  height: 100%;
  position: absolute;
  filter: blur(10px);
  opacity: 70%;
}
.carousel-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.carousel-wrapper input {
  display: none;
}

.carousel {
  overflow: hidden;
}
.carousel ul {
  position: relative;
  list-style: none;
  overflow: hidden;
  margin: 0;
  padding: 0;
  height: 100%;
  width: 600%;
  transition: left 0.8s cubic-bezier(0.77, 0, 0.175, 1);
}
.carousel li img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.nav-dot {
  cursor: pointer;
  width: 20px;
  height: 20px;
  margin-top: 800px;
  opacity: 0.5;
  background-color: white;
  border: 1px solid black;
  border-radius: 50%;
  transition: 0.4s;
}
.nav-dot:hover {
  opacity: 0.8;
  transform: scale(1.2);
}
.nav-dot:active {
  transform: scale(0.9);
}

.nav-dot[for=slide1] {
  left: 40%;
}

#slide1:checked ~ .carousel ul {
  left: 0%;
}
#slide1:checked ~ .nav-dot[for=slide1] {
  opacity: 1;
}

.nav-dot[for=slide2] {
  left: 45%;
}

#slide2:checked ~ .carousel ul {
  left: -100%;
}
#slide2:checked ~ .nav-dot[for=slide2] {
  opacity: 1;
}

.nav-dot[for=slide3] {
  left: 50%;
}

#slide3:checked ~ .carousel ul {
  left: -200%;
}
#slide3:checked ~ .nav-dot[for=slide3] {
  opacity: 1;
}

.nav-dot[for=slide4] {
  left: 55%;
}

#slide4:checked ~ .carousel ul {
  left: -300%;
}
#slide4:checked ~ .nav-dot[for=slide4] {
  opacity: 1;
}

.nav-dot[for=slide5] {
  left: 60%;
}

#slide5:checked ~ .carousel ul {
  left: -400%;
}
#slide5:checked ~ .nav-dot[for=slide5] {
  opacity: 1;
}

.right-arrow, .left-arrow {
  display: none;
  position: absolute;
  cursor: pointer;
  font-weight: bolder;
  text-shadow: 0 0 7.5px rgba(255, 255, 255, 0.7);
  top: 50%;
  z-index: 1;
  opacity: 0.7;
  margin-top: -25px;
  color: rgb(0, 0, 0);
  height: 60px;
  font-size: 50px;
  transition: 0.2s;
}
.right-arrow:hover, .left-arrow:hover {
  opacity: 1;
  transform: scale(1.3);
}
.right-arrow:active, .left-arrow:active {
  transform: scale(0.9);
}

.left-arrow {
  left: 15px;
}

.right-arrow {
  right: 15px;
}

#slide1:checked ~ .left-arrow[for=slide5], #slide1:checked ~ .right-arrow[for=slide2] {
  display: block;
}

#slide2:checked ~ .left-arrow[for=slide1], #slide2:checked ~ .right-arrow[for=slide3] {
  display: block;
}

#slide3:checked ~ .left-arrow[for=slide2], #slide3:checked ~ .right-arrow[for=slide4] {
  display: block;
}

#slide4:checked ~ .left-arrow[for=slide3], #slide4:checked ~ .right-arrow[for=slide5] {
  display: block;
}

#slide5:checked ~ .left-arrow[for=slide4], #slide5:checked ~ .right-arrow[for=slide1] {
  display: block;
}
#takcice{
  width: 40%;
  height: 100%;
  gap: 0px;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
}


/* FOOTER  */




#footer{
  width: 100%;
  float: left;
  height: 700px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: #101317;
  float: left;
}

#slii{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 70%;
  height: 100%;
  gap: 20px;
}
#gor-fut{
  width: 100%;
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#foot-logo{
  width: 300px;
  height: 250px;
}
#sre-fut{
  width: 100%;
  height: 400px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 50px;
}
.sl-sre{
    width: 80px;
    height: 80px;
}
.ina-fut{
  width: 500px;
  height: 300px;
  background-color: #242a33;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 50px;
}
.ina-fut:hover{
  background-color: #3f4957;
  transition: 0.4s;
  text-shadow: 2px 1px black;
  cursor: pointer;
}
.nas-fat{
  color: white;
  font-size: 22px;
  text-align: center;
  font-weight: 200;
  font-family: "Seconda Soft W00 Demi";
}
a{
  text-decoration: none;
  list-style: none;
}
#pri{
  width: 100%;
  height: 3px;
  top: 42px;
  left: 0px;
  position: absolute;
  background-color: #ffffff;
  display: flex;
}


#kopirajt{
  width: 100%;
  height: 100px;
  background-color: #181C22;
  display: flex;
  justify-content: center;
  align-items: center;
}
#lekop{
  width: 100%;
  height: 100%;
  float: left;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 0px;
 }
 #lkp-ik{
  width: 170px;
  height: 100%;
  /* background-color: rebeccapurple; */
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
 }
 .sl-lekop{
  width: 40px;
  height: 40px;
  float: right;
  cursor: pointer;
 }
 .sl-lekop:hover{
  filter:brightness(0.5);
 }
 #nas-kopi{
  color: white;
  font-size: 20px;
  text-align: center;
  font-family: "Seconda Soft W00 Demi";
  font-weight: 300;
  padding: 20px;
}
#loader-wrapper{
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 100000;
  background-color: #232931;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 0;
  transition:  1.3s ease-in-out;
}
#asd{
  object-fit: cover;
  width: 300px;
  height: 300px;
}



/* scroll */

  ::-webkit-scrollbar-track
    {
        box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        border-radius: 10px;
        background-color: #272727;
    }
    
    ::-webkit-scrollbar{
    
        width: 17px;
        background-color: #27262e;
    }
    
    ::-webkit-scrollbar-thumb{
    
        border-radius: 10px;
        box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #181515;
    }

    


    /* OPTIMIZACIJA */
    @media (max-width:1785px){

      .modal {
        width: 430px;
        height: 500px;
      }
    }
    @media(max-width:1757px) {
      #sre{
        height: 800px;
      }
    }
    @media (max-width:1685px){
      .modal {
        width: 400px;
      }
    }
    @media (max-width:1580px){
      .modal {
        width: 400px;
      }
    }
    @media (max-width:1440px){
      #medju{
        height: 1300px;
      }
      #sre{
        height: 1100px;
      }
      #container{
        height: 3980px;
      }
  }
    @media (max-width:1350px){
      .modal {
        width: 400px;
      }
  }
    @media(max-width:1300px) {
    #container{
      height: 3630px;
    }
    .center{
      width: 810px;
      height: 500px;
    }
    #slaj{
      height: 900px;
    }
    .nav-dot {
      margin-top: 700px;
    }
    }
    @media(max-width:1260px) {
      #container{
        height: 3930px;
      }
      #sre{
        height: 1100px;
      }
      #medju{
        height:1300px ;
      }
    }
    @media (max-width:1193px){
      .modal {
        width: 370px;
      }
    }
    @media (max-width:1150px){
      #medju{
        height: 1600px;
      }
      #sre{
        height: 1400px;
      }
      #container{
        height: 4230px;
      }
  }
    @media(max-width:1100px) {
      #pocetna{
        height: 870px;
      }
      #container{
        height: 3870px;
      }
    }
    @media (max-width:1080px){
      .modal {
        width: 350px;
        height:420px ;
      }
    }
    @media only screen and (max-width: 1050px) {
      #container{
        height: 3720px;
      }
      #slaj{
        height: 750px;
      }
      .nav-dot {
        margin-top: 600px;
      }
      .center{
        width: 710px;
        height: 400px;
      }
      .nav-menu {
          position: fixed;
          left: -100%;
          top: 0;
          flex-direction: column;
          background-color: #232931;
          width: 100%;
          text-align: center;
          transition: 0.3s;
          height:100%;
          box-shadow:
              0 10px 27px rgba(0, 0, 0, 0.05);
      }
      .nav-menu.active {
        left: 0;
    }
      .nav-link{
        font-size: 31px;
      }
      .nav-itemi {
        display: block;
        width: 250px;
        transition-duration: .25s;
        flex-direction: row;
      }
      .nav-itemi-en{
        display: block;
        width: 250px;
        transition-duration: .25s;
        flex-direction: row;
        margin-top: 50px;
      }
      .sl-nav{
        width: 200px;
      }
      .iko-nav{
        align-self: flex-end;
        margin-bottom: 2.5px;
      } 
      .hamburger {
          display: block;
          cursor: pointer;
          left: 100%;
          margin-right:50px;
      }
      .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }
    
    .hamburger.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }
    
    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }
    #pri{
      top: 50px;
    }
    .navbar{
      width: 10%;
      margin-right:0px;
    }
    #sl-lev{
      margin-left:0px;
    }
    .nav-itemi{
      margin-top: 50px;
    }
    #ik-jez{
      margin-top: 5px;
    }
    #sl-mea{
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: row;
      width: 230px;
      height: 150px;
      gap: 20px;
      margin-top: 0px;
    }
    .sla{
      width: 40px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
  @media(max-width:1007px) {
  #medju{
    height: 1700px;
  }
  #sre{
    height: 1300px;
  }
}
    @media(max-width:1000px) {
      #container{
        height: 4120px;
      }
  }
    @media(max-width:950px) {

        #sre-fut{
          gap: 15px;
        }
    }
    @media(max-width:870px) {
      #medju{
        height: 2400px;
      }
      #sre{
        height: 2100px;
      }
      #container{
        height: 4810px;
      }
    }
    @media(max-width:800px) {
      #container{
        height: 4670px;
      }
          .center{
            width: 610px;
            height: 300px;
          }
          #slaj{
            height: 600px;
          }
          .nav-dot {
            margin-top: 500px;
          }
    }
    @media(max-width:760px) {
      #container{
        height: 4670px;
      }
      #sl-lev{
        margin-left:0px;
      }
      #gor-fut{
        height: 250px;
      }
      #sre-fut{
        gap: 35px;
        flex-direction: column;
        height: 950px;
      }
      #slii{
        width: 100%;
        gap: 50px;
      }
      #footer{
        height: 1400px;
      }
      .ina-fut{
        width: 350px;
      }
      .nav-dot {
        margin-top: 400px;
      }
    }
    @media(max-width:757px) {
      #container{
        height: 5170px;
      }
      #medju{
        height: 2200px;
      }
      #sre{
        height: 2000px;
      }
    }
    @media (max-width:750px){
      .modal {
        width: 300px;
        height: 400px;
      }
    }
    @media(max-width:650px) {
      #nas1{
        font-size: 130px;
      }
      .center{
        width: 410px;
        height: 300px;
      }
    }
    @media(max-width:630px) {
      #lkp-ik{
        width: 100px;
        gap: 0px;
      }
    } 
    @media(max-width:600px) {
      #sl-lev{
        margin-left:30px;
      }
  }
  @media(max-width:580px) {
    #medju{
      height: 4300px;
    }
    #sre{
      height: 4100px;
    }
    #container{
      height: 7270px;
    }
  }
  @media(max-width:540px) {
  #asd{
    width: 250px;
    height: 250px;
  }
  #nas1{
    font-size: 100px;
  }
}
  @media(max-width:500px) {
    #container{
      height: 7270px;
    }
  }
  @media(max-width:420px) {
    #asd{
      width: 200px;
      height: 200px;
    }
    #gor-fut{
      height: 250px;
    }
    #sre-fut{
      height: 900px;
    }
    #foot-logo{
      width: 250px;
      height: 200px;
    }
    #slii{
      width: 100%;
      gap: 0px;
    }
    #footer{
      height: 1300px;
    }
    .ina-fut{
      width: 300px;
      height: 250px;
    }
    .center{
      width: 300px;
      height: 250px;
    }
    #slaj{
      height: 450px;
    }
    .nav-dot {
      margin-top: 350px;
    }
    #container{
      height: 7020px;
    }
  }
  @media (max-width:400px){
    .modal {
      width: 280px;
      height: 350px;
    }
  }
    @media(max-width:385px) {
      #header{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        height: 170px;
      }
      #sl-lev{
        width: 100%;
        margin-left: 0px;
      }
      .navbar{
        width: 100%;
      }
      .hamburger{
        margin-right: 0px;
        margin-left: 0px;
      }
  }
  @media(max-width:350px) {
    #gor-fut{
      height: 250px;
    }
    #sre-fut{
      height: 750px;
    }
    #foot-logo{
      width: 250px;
      height: 200px;
    }
    #slii{
      width: 100%;
      gap: 0px;
    }
    #footer{
      height: 1150px;
    }
    .ina-fut{
      width: 250px;
      height: 200px;
      gap: 30px;
    }
    .nas-fat{
      font-size: 20px;
    }
    .sl-sre{
      width: 70px;
      height: 70px;
    }
    #nas-kopi{
      font-size: 17px;
    }
    #nas1{
      font-size: 80px;
    }
    #container{
      height: 6870px;
    }
  } 
  @media (max-width: 340px){
  .modal {
    width: 250px;
    height: 350px;
  }
}
    @media(max-width:315px) {
      #asd{
        width: 150px;
        height: 150px;
      }
        .center{
          width: 200px;
          height: 180px;
          margin-bottom: 100px;
        }
        #slaj{
          height: 350px;
        }
        .nav-dot {
          margin-top: 300px;
        }
        #takcice{
          width: 60%;
        }
        #container{
          height: 6770px;
        }
  }
    @media(max-width:300px) {
      #nas-kopi{
        font-size: 14px;
        padding: 10px;
      }
    }
    @media(max-width:290px) {
      #gor-fut{
        width: 100%;
      }
      #sre-fut{
        height: 650px;
      }
      #foot-logo{
        width: 200px;
        height: 150px;
      }
      #footer{
        height: 1000px;
      }
      .ina-fut{
        width: 200px;
        height: 180px;
        gap: 20px;
      }
      .nas-fat{
        font-size: 18px;
      }
      .sl-sre{
        width: 60px;
        height: 60px;
      }
      #container{
        height: 6620px;
      }
    }  
    @media(max-width:260px) {
      #container{
        height: 6640px;
      }
      .sl-lekop{
        width: 30px ;
        height: 30px;
      }
      #kopirajt{
        height: 120px;
      }
      #lekop{
        flex-direction: column;
        height: 100px;
      }
      .dugmenci{
        width: 100px;
        height: 100px;
      }
      .kafa-ikon{
        width: 60px;
        height: 60px;
      }
      .tek-rod{
        font-size: 23px;
      }
      .modal {
        width: 200px;
        height: 250px;
      }
    } 
    @media(max-width:250px) {
      #nas1{
        font-size: 70px;
      }
    }
    @media(max-width:230px) {
      #sl-mea{
        width: 190px;
      }
      .sl-nav{
        width: 180px;
      }
    }
    @media(max-width:225px) {
      #container{
        height: 6440px;
      }
      #sre-fut{
        height: 500px;
      }
      #foot-logo{
        width: 200px;
        height: 150px;
      }
      #slii{
        width: 100%;
        gap: 0px;
      }
      #footer{
        height: 800px;
      }
      .ina-fut{
        width: 180px;
        height: 130px;
      }
      .nas-fat{
        font-size: 16px;
      }
      .sl-sre{
        width: 50px;
        height: 50px;
      }
      .center{
        width: 180px;
        height: 160px;
        }
  }
    @media(max-width:210px) {
  }
    @media(max-width:205px) {
      #foot-logo{
        width: 170px;
        height: 130px;
      }
    }